//------------------------------------------------------------------------------
// Starting Condition
//------------------------------------------------------------------------------
/*
    Return TRUE if
        No helmet is equipped OR
        The current helmet is marked as plot OR
        Craft Armor has been deactivated by a global variable
*/
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
#include "prc_x2_itemprop"

int StartingConditional()
{
    int iResult;
    object oA = GetItemInSlot(INVENTORY_SLOT_HEAD,GetPCSpeaker());
    iResult = (!GetIsObjectValid(oA) ||
                GetPlotFlag(oA) ||
                GetLocalInt(GetModule(),"X2_L_DO_NOT_ALLOW_MODIFY_ARMOR") );

   return iResult;
}
