//::///////////////////////////////////////////////
//:: Name x2_def_userdef
//:: Copyright (c) 2001 Bioware Corp.
//:://////////////////////////////////////////////
/*
    Default On User Defined Event script
*/
//:://////////////////////////////////////////////
//:: Created By: Keith Warner
//:: Created On: June 11/03
//:://////////////////////////////////////////////

const int EVENT_USER_DEFINED_PRESPAWN = 1510;
const int EVENT_USER_DEFINED_POSTSPAWN = 1511;
void main()
{
	ExecuteScript("prc_npc_userdef", OBJECT_SELF);
	
    int nUser = GetUserDefinedEventNumber();

    if(nUser == EVENT_HEARTBEAT ) //HEARTBEAT
    {
     if (GetIsNight()&&(GetTag(GetItemInSlot(INVENTORY_SLOT_LEFTHAND))!="NW_IT_TORCH001"))
     {
      ActionEquipItem(GetItemPossessedBy(OBJECT_SELF,"NW_IT_TORCH001"),INVENTORY_SLOT_LEFTHAND);
     }
     else if (!GetIsNight()&&(GetTag(GetItemInSlot(INVENTORY_SLOT_LEFTHAND))=="NW_IT_TORCH001"))
     {
       ActionUnequipItem(GetItemPossessedBy(OBJECT_SELF,"NW_IT_TORCH001"));
     }
    if (d100()==1&&!IsInConversation(OBJECT_SELF)&&!GetIsInCombat())
    {
     SpeakString("I buy! I sell !");
    }
    if (d10()==1&&!IsInConversation(OBJECT_SELF)&&!GetIsInCombat())
    {
     PlaySound("vs_nx2sharf_slct");
    }

    }
    else if(nUser == EVENT_PERCEIVE) // PERCEIVE
    {

    }
    else if(nUser == EVENT_END_COMBAT_ROUND) // END OF COMBAT
    {

    }
    else if(nUser == EVENT_DIALOGUE) // ON DIALOGUE
    {

    }
    else if(nUser == EVENT_ATTACKED) // ATTACKED
    {

    }
    else if(nUser == EVENT_DAMAGED) // DAMAGED
    {

    }
    else if(nUser == 1007) // DEATH  - do not use for critical code, does not fire reliably all the time
    {

    }
    else if(nUser == EVENT_DISTURBED) // DISTURBED
    {

    }
    else if (nUser == EVENT_USER_DEFINED_PRESPAWN)
    {

    }
    else if (nUser == EVENT_USER_DEFINED_POSTSPAWN)
    {

    }


}


