//::///////////////////////////////////////////////
//:: Default: On User Defined
//:: NW_C2_DEFAULTD
//:: Copyright (c) 2002 Bioware Corp.
//:://////////////////////////////////////////////
/*
    Determines the course of action to be taken
    on a user defined event.
*/
//:://////////////////////////////////////////////
//:: Created By: Don Moar
//:: Created On: April 28, 2002
//:://////////////////////////////////////////////
void main()
{
    int nUser = GetUserDefinedEventNumber();
    location lLoc = GetLocation(OBJECT_SELF);
    int nDur = d3(3);
    float fDur = IntToFloat(nDur);
    object oPC;
    int nSave;

        if(nUser == 1001)
        {
           if(d4() == 1)
           {
            oPC = GetFirstObjectInShape(4, 5.0, lLoc, FALSE, 1);
            ApplyEffectAtLocation(0, EffectVisualEffect(98), lLoc);

             while(oPC != OBJECT_INVALID)
             {
              if(GetIsPC(oPC) == TRUE)
              {
                  nSave = ReflexSave(oPC, 14, 15, OBJECT_SELF);

                  if(nSave == 0)
                  {
                  ApplyEffectToObject(1, EffectBlindness(), oPC, fDur);
                  }
              }
              oPC = GetNextObjectInShape(4, 5.0, lLoc, FALSE, 1);
              }
           }
        }

        else if(nUser == 1003)
        {
          oPC = GetFirstObjectInShape(4, 10.0, lLoc, FALSE, 1);

          if(d10() == 1)
          {
           while(oPC != OBJECT_INVALID)
            {
            if(GetIsPC(oPC) == TRUE)
            {
            nSave = ReflexSave(oPC, 14, 15, OBJECT_SELF);
            if(nSave == 0)
            {
              ApplyEffectToObject(1, EffectSlow(), oPC, fDur);
              ApplyEffectToObject(0, EffectVisualEffect(95), oPC, fDur);
            }
            }
            oPC = GetNextObjectInShape(4, 10.0, lLoc, FALSE, 1);
            }
           }

          else
          {
            ApplyEffectAtLocation(0, EffectVisualEffect(VFX_FNF_HOWL_MIND), lLoc);

            while(oPC != OBJECT_INVALID)
            {
            if(GetIsPC(oPC) == TRUE)
            {
                nSave = WillSave(oPC, 12, 1, OBJECT_SELF);

                if(nSave == 0)
                {
                ApplyEffectToObject(1, EffectConfused(), oPC, 10.0);
                ApplyEffectToObject(1, EffectVisualEffect(7), oPC,  10.0);
                }
            }
            oPC = GetNextObjectInShape(4, 10.0, lLoc, FALSE, 1);
            }
          }
        }
    return;

}
