///////////////:://///////////////////////////////////////////////////
//:: Default: On Spawn In
//:: NW_C2_DEFAULT9
//:: Copyright (c) 2001 Bioware Corp.
//::///////////////////////////////////////////////
/*
    Determines the course of action to be taken
    after having just been spawned in
*/
//::////////////////////////////////////////////////
//:: Created By: Preston Watamaniuk
//:: Created On: Oct 25, 2001
//::////////////////////////////////////////////////
#include "jw_treasure_gene"
#include "NW_I0_GENERIC"
#include "jw_privates_inc"

void main()
{
	SetStartLocation();
    if (GetHitDice(OBJECT_SELF)>4)
    {
		SetSpawnInCondition(NW_FLAG_SHOUT_ATTACK_MY_TARGET);
		SetListenPattern(OBJECT_SELF, "I_AM_HEALING", 123); //listen out for this phrase
		SetListening(OBJECT_SELF,TRUE);
    }
	// This will set the listening pattern on the NPC to attack when allies call
	
      if ((GetChallengeRating(OBJECT_SELF)>3.0)&&(GetLevelByClass(CLASS_TYPE_ROGUE,OBJECT_SELF)>=1)&&(GetStandardFactionReputation(STANDARD_FACTION_DEFENDER,OBJECT_SELF)<40))
      {
     SetSpawnInCondition(NW_FLAG_STEALTH);
      }

// DEFAULT GENERIC BEHAVIOR (DO NOT TOUCH) *****************************************************************************************

   MakeTreasure();     //* Use this to create a small amount of treasure on the creature
//SendMessageToAllDMs("Called treasure script from spawn");
}


