void main()
{
object oPC = GetPCSpeaker();
object oGol = GetObjectByTag("px_prototype_wargolem");
location lLoc = GetLocation(GetWaypointByTag("px_prototype_wargolem1"));

ApplyEffectToObject(DURATION_TYPE_INSTANT,EffectVisualEffect(VFX_FNF_SUMMON_MONSTER_3),oPC);
DelayCommand(0.7, AssignCommand(oPC, ActionJumpToLocation(lLoc)));

if((GetLocalInt(OBJECT_SELF, "GolemBoss")!= 1) && (oGol != OBJECT_INVALID))
    {
    SetLocalInt(OBJECT_SELF, "GolemBoss", 1);
    object oPillar1 = GetObjectByTag("fr_iwd_golempwr1");
    object oPillar2 = GetObjectByTag("fr_iwd_golempwr2");

    effect eBeam1 = EffectBeam(VFX_BEAM_LIGHTNING, oPillar1, BODY_NODE_CHEST);
    effect eBeam2 = EffectBeam(VFX_BEAM_LIGHTNING, oPillar2, BODY_NODE_CHEST);

    ApplyEffectToObject(DURATION_TYPE_TEMPORARY, eBeam1, oGol, 9.0);
    ApplyEffectToObject(DURATION_TYPE_TEMPORARY, eBeam2, oGol, 9.0);

    DelayCommand(8.0, AssignCommand(oGol,ActionSpeakString("[The Golem's eyes begin to glow brighter and it notices you.]")));
    DelayCommand(8.0, AssignCommand(oGol, ChangeToStandardFaction(oGol, STANDARD_FACTION_HOSTILE)));
    DelayCommand(8.0, PlayVoiceChat(VOICE_CHAT_BATTLECRY1, oGol));
    }

//DelayCommand(8.0, AssignCommand(oGol, PlaySound("vs_nx2gatem_bat1")));
}
