#include "prc_inc_racial"

void main()
 {
     object oPC = GetLastUsedBy();

     if((GetRacialType(oPC) == RACIAL_TYPE_DROW_FEMALE) || (GetRacialType(oPC) == RACIAL_TYPE_DROW_MALE) || (GetRacialType(oPC) == RACIAL_TYPE_HALFDROW) && (GetAlignmentGoodEvil(oPC) == ALIGNMENT_EVIL))
     {
         ApplyEffectToObject(DURATION_TYPE_TEMPORARY, EffectBeam(VFX_BEAM_EVIL,oPC, BODY_NODE_CHEST, FALSE), OBJECT_SELF, 3.0);
         ApplyEffectToObject(DURATION_TYPE_INSTANT, EffectVisualEffect(VFX_FNF_SOUND_BURST_SILENT),OBJECT_SELF,2.0);
         FloatingTextStringOnCreature("You sense a feeling of sadness and great disappointment as you touch the altar. Regret and sorrow for a kindred lost.",oPC,FALSE);
     }

     if((GetRacialType(oPC) == RACIAL_TYPE_DROW_FEMALE) || (GetRacialType(oPC) == RACIAL_TYPE_DROW_MALE) || (GetRacialType(oPC) == RACIAL_TYPE_HALFDROW) && (GetAlignmentGoodEvil(oPC) == ALIGNMENT_GOOD))
     {
         ApplyEffectToObject(DURATION_TYPE_TEMPORARY, EffectBeam(VFX_BEAM_EVIL,oPC, BODY_NODE_CHEST, FALSE), OBJECT_SELF, 3.0);
         ApplyEffectToObject(DURATION_TYPE_INSTANT, EffectVisualEffect(VFX_FNF_SOUND_BURST_SILENT),OBJECT_SELF,2.0);
         FloatingTextStringOnCreature("You sense a feeling of pride and joyful acknowledgement upon touching the altar. Your path seems to be true, in the eyes of the Seldarine.",oPC,FALSE);
     }

     if((GetRacialType(oPC) == RACIAL_TYPE_DROW_FEMALE) || (GetRacialType(oPC) == RACIAL_TYPE_DROW_MALE) || (GetRacialType(oPC) == RACIAL_TYPE_HALFDROW) && (GetAlignmentGoodEvil(oPC) == ALIGNMENT_NEUTRAL))
     {
         ApplyEffectToObject(DURATION_TYPE_TEMPORARY, EffectBeam(VFX_BEAM_EVIL,oPC, BODY_NODE_CHEST, FALSE), OBJECT_SELF, 3.0);
         ApplyEffectToObject(DURATION_TYPE_INSTANT, EffectVisualEffect(VFX_FNF_SOUND_BURST_SILENT),OBJECT_SELF,2.0);
         FloatingTextStringOnCreature("You sense a feeling of encouragement and well-wishes upon touching the altar. It seems the Seldarine considers you worthy.",oPC,FALSE);
     }
	 
     if((GetRacialType(oPC) == RACIAL_TYPE_HALFELF) && (GetAlignmentGoodEvil(oPC) == ALIGNMENT_EVIL))
     {
         ApplyEffectToObject(DURATION_TYPE_TEMPORARY, EffectBeam(VFX_BEAM_EVIL,oPC, BODY_NODE_CHEST, FALSE), OBJECT_SELF, 3.0);
         ApplyEffectToObject(DURATION_TYPE_INSTANT, EffectVisualEffect(VFX_FNF_SOUND_BURST_SILENT),OBJECT_SELF,2.0);
         FloatingTextStringOnCreature("You sense a feeling of sadness and great disappointment as you touch the altar. Regret and sorrow for a kindred lost.",oPC,FALSE);
     }

     if((MyPRCGetRacialType(oPC) == RACIAL_TYPE_ELF) && (GetAlignmentGoodEvil(oPC) == ALIGNMENT_EVIL))
     {
         ApplyEffectToObject(DURATION_TYPE_TEMPORARY, EffectBeam(VFX_BEAM_EVIL,oPC, BODY_NODE_CHEST, FALSE), OBJECT_SELF, 3.0);
         ApplyEffectToObject(DURATION_TYPE_INSTANT, EffectVisualEffect(VFX_FNF_SOUND_BURST_SILENT),OBJECT_SELF,2.0);
         FloatingTextStringOnCreature("You sense a feeling of sadness and great disappointment as you touch the altar. Regret and sorrow for a kindred lost.",oPC,FALSE);

     }
	if((MyPRCGetRacialType(oPC) == RACIAL_TYPE_ELF) && (GetAlignmentGoodEvil(oPC) == ALIGNMENT_GOOD))
     {
		ApplyEffectToObject(DURATION_TYPE_INSTANT, EffectVisualEffect(VFX_FNF_SOUND_BURST_SILENT),OBJECT_SELF,2.0);
		FloatingTextStringOnCreature("You sense a feeling of pride and joyful acknowledgement upon touching the altar. Your path seems to be true, in the eyes of the Seldarine.",oPC,FALSE);

     }
	if((GetRacialType(oPC) == RACIAL_TYPE_HALFELF) && (GetAlignmentGoodEvil(oPC) == ALIGNMENT_GOOD))
	{
		ApplyEffectToObject(DURATION_TYPE_INSTANT, EffectVisualEffect(VFX_FNF_SOUND_BURST_SILENT),OBJECT_SELF,2.0);
		FloatingTextStringOnCreature("You sense a feeling of pride and joyful acknowledgement upon touching the altar. Your path seems to be true, in the eyes of the Seldarine.",oPC,FALSE);

     }
	if((GetRacialType(oPC) == RACIAL_TYPE_HALFELF) && (GetAlignmentGoodEvil(oPC) == ALIGNMENT_NEUTRAL))
	{
		ApplyEffectToObject(DURATION_TYPE_INSTANT, EffectVisualEffect(VFX_FNF_SOUND_BURST_SILENT),OBJECT_SELF,2.0);
		FloatingTextStringOnCreature("You sense a feeling of encouragement and well-wishes upon touching the altar. It seems the Seldarine considers you worthy.",oPC,FALSE);

	}
	if((MyPRCGetRacialType(oPC) == RACIAL_TYPE_ELF) && (GetAlignmentGoodEvil(oPC) == ALIGNMENT_NEUTRAL))
	{
		ApplyEffectToObject(DURATION_TYPE_INSTANT, EffectVisualEffect(VFX_FNF_SOUND_BURST_SILENT),OBJECT_SELF,2.0);
		FloatingTextStringOnCreature("You sense a feeling of encouragement and well-wishes upon touching the altar. It seems the Seldarine considers you worthy.",oPC,FALSE);
     }
 }
