/////////////////////////:/:///////////////////////////////////////////////////////////////////////////////////////
//:: Default:On Death
//:: NW_C2_DEFAULT7
//:: Copyright (c) 2001 Bioware Corp.
//::///////////////////////////////////////////////
/*
    Shouts to allies that they have been killed
*/
//:://////////////////////////////////////////////
//:: Created By: Preston Watamaniuk
//:: Created On: Oct 25, 2001
///:://///////////////////////////////////////////////
#include "NW_I0_GENERIC"
#include "jw_exp_giver"
//#include "x0_i0_corpses"

void main()
{
    object oMob=GetLastKiller();
    if (oMob==OBJECT_SELF)
    {
    return;
    }

    int nClass = GetLevelByClass(CLASS_TYPE_COMMONER);
    int nAlign = GetAlignmentGoodEvil(OBJECT_SELF);
    if(nClass > 0 && (nAlign == ALIGNMENT_GOOD || nAlign == ALIGNMENT_NEUTRAL))
    {
        object oKiller = GetLastKiller();
        AdjustAlignment(oKiller, ALIGNMENT_EVIL, 5);
    }

   //SpeakString("NW_I_AM_DEAD", TALKVOLUME_SILENT_TALK);
    //Shout Attack my target, only works with the On Spawn In setup
    SpeakString("NW_ATTACK_MY_TARGET", TALKVOLUME_SILENT_TALK);
    if(GetSpawnInCondition(NW_FLAG_DEATH_EVENT))
    {
        SignalEvent(OBJECT_SELF, EventUserDefined(1007));
    }



givexp(OBJECT_SELF,GetLastKiller());
//KillAndReplaceLootable(OBJECT_SELF, TRUE);

// Remove double xp effect
int MAXHP = 90000;
ApplyEffectToObject(DURATION_TYPE_INSTANT, EffectResurrection(), OBJECT_SELF);
ApplyEffectToObject(DURATION_TYPE_INSTANT, EffectDamage(MAXHP,DAMAGE_TYPE_MAGICAL,DAMAGE_POWER_PLUS_TWENTY), OBJECT_SELF);
}
