
void main()
{
object oPC = GetEnteringObject();
int nDamageAmount = d6(4);
effect eFallDamage = EffectDamage(nDamageAmount, DAMAGE_TYPE_BLUDGEONING);
string sText = "You have fallen rather painfully to a river from far above.";
object oLefthand = GetItemInSlot(INVENTORY_SLOT_LEFTHAND, oPC);
object oRighthand = GetItemInSlot(INVENTORY_SLOT_RIGHTHAND, oPC);
object oSound = GetObjectByTag("fr_iwd_ogre_fall");


if (GetIsDM(oPC) == FALSE)
        {
        AssignCommand(oPC, ActionUnequipItem(oLefthand));
        AssignCommand(oPC, ActionUnequipItem(oRighthand));
        BlackScreen(oPC);
        DelayCommand(6.0, FadeFromBlack(oPC, FADE_SPEED_SLOW));

        DelayCommand(2.0, PlayVoiceChat(VOICE_CHAT_DEATH, oPC));
        DelayCommand(4.0, SoundObjectPlay(oSound));
        DelayCommand(5.0, AssignCommand(oPC, ActionPlayAnimation(ANIMATION_LOOPING_MEDITATE, 1.0, 20.0)));
        DelayCommand(6.0, ApplyEffectToObject(DURATION_TYPE_INSTANT, eFallDamage, oPC));
        DelayCommand(8.0, FloatingTextStringOnCreature(sText, oPC, FALSE));

        }
}

