//::///////////////////////////////////////////////
//:: NW_O2_ONOFF.nss
//:: Copyright (c) 2001 Bioware Corp.
//:://////////////////////////////////////////////
/*
    Turns the placeable object's animation on/off
*/
//:://////////////////////////////////////////////
//:: Created By:  Brent
//:: Created On:  January 2002
//:://////////////////////////////////////////////


void main()
{
 // 2 is off, 1 is on

    if (GetLocalInt(OBJECT_SELF,"NW_L_AMION") == 2)
    {

        PlayAnimation(ANIMATION_PLACEABLE_ACTIVATE);
        DelayCommand(0.4,SetPlaceableIllumination(OBJECT_SELF, TRUE));
        SetLocalInt(OBJECT_SELF,"NW_L_AMION",1);
         SoundObjectPlay(GetNearestObjectByTag("jw_pot_sound"));
        DelayCommand(0.5,RecomputeStaticLighting(GetArea(OBJECT_SELF)));


    }
    else
    {

        PlayAnimation(ANIMATION_PLACEABLE_DEACTIVATE);
        DelayCommand(0.4,SetPlaceableIllumination(OBJECT_SELF, FALSE));
        SetLocalInt(OBJECT_SELF,"NW_L_AMION",2);
        SoundObjectStop(GetNearestObjectByTag("jw_pot_sound"));
        DelayCommand(0.9,RecomputeStaticLighting(GetArea(OBJECT_SELF)));

    }
}
