//------------------------------------------------------------------------------
// Starting Condition
//------------------------------------------------------------------------------
/*
    Return TRUE if
        No helmet is equipped OR
        The current helmet is marked as plot OR
        Craft Armor has been deactivated by a global variable
*/
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
#include "prc_x2_itemprop"

int StartingConditional()
{
    int iResult;
    object oA = GetItemInSlot(INVENTORY_SLOT_LEFTHAND,GetPCSpeaker());
   if (!GetIsObjectValid(oA))
    {
        return TRUE;
    }
    int nBase=GetBaseItemType(oA);
    if ((nBase!=BASE_ITEM_SMALLSHIELD) && (nBase!=BASE_ITEM_LARGESHIELD) && (nBase!=BASE_ITEM_TOWERSHIELD))
    {
        return TRUE;
    }
    if (GetPlotFlag(oA))
    {
        return TRUE;
    }

   return FALSE;
}
