
#include "X0_I0_TRANSFORM"
#include "jw_inc_spells"

void main()
{

// This is the resref of the mob to be created
// The tag of this trigger must be the res ref of the mob to be created.
string sString=GetTag(OBJECT_SELF);

// This is the tag of the object to be replaced.
// Set the KEY tag of this trigger to be the same as the tag of the object to be transformed.
// Note that the object to be transformed MUST appear in the toolset and MUST
// have the same resref as it has tag.
// This is so the module can replace it once the area is empty
// However you can use the same object as often as you like, as long as it
// is near the trigger. If you put the object far away from the trigger
// there is a chance the wrong object will be transformed.

string sTarget=GetTrapKeyTag(OBJECT_SELF);


object oPC=GetEnteringObject();

if ((GetLocalInt(OBJECT_SELF,"triggered")!=TRUE)&&(GetIsObjectValid(oPC))&&(GetIsPC(oPC)))

 {


  // create our mob

  JWTriggerObjectTransform(sString,VFX_IMP_DISPEL,sTarget);

  // say we are no longer active

  SetLocalInt(OBJECT_SELF,"triggered",TRUE);

  }
}
