//::///////////////////////////////////////////////
//:: Custom User Defined Event
//:: FileName
//:: Copyright (c) 2001 Bioware Corp.
//:://////////////////////////////////////////////
/*

*/
//:://////////////////////////////////////////////
//:: Created By:
//:: Created On:
//:://////////////////////////////////////////////
void BurningObject(object oTarget)
{
ApplyEffectToObject(DURATION_TYPE_INSTANT,EffectVisualEffect(VFX_FNF_GAS_EXPLOSION_GREASE),oTarget);
DelayCommand(1.0,BurningObject(OBJECT_SELF));
}

void main()
{
    int nUser = GetUserDefinedEventNumber();

    if(nUser == 10) //START
    {


   ApplyEffectToObject(DURATION_TYPE_PERMANENT,EffectVisualEffect(VFX_DUR_ANTI_LIGHT_10),GetObjectByTag("jw_silver_object"));
   object oObject;
   int nIdx;
   for (nIdx=1;nIdx<=4;nIdx++)
     {
      oObject=GetObjectByTag("jw_silver_light"+IntToString(nIdx));
      ApplyEffectToObject(DURATION_TYPE_PERMANENT,EffectVisualEffect(VFX_DUR_ANTI_LIGHT_10),oObject);
     }

     SoundObjectPlay(GetObjectByTag("jw_silver_sound"));
    object oTarget=GetObjectByTag("jw_silver_object");
    SetLocked(oTarget,1);
    AssignCommand(oTarget,PlayAnimation(ANIMATION_PLACEABLE_CLOSE));
      oTarget=OBJECT_SELF;
      ApplyEffectToObject(DURATION_TYPE_PERMANENT,EffectVisualEffect(VFX_DUR_ANTI_LIGHT_10),oTarget);
      BurningObject(OBJECT_SELF);
    }



    else if(nUser == 20) // DEATH
    {
    object oTrap=GetObjectByTag("jw_silver_object");
    effect eEffect;
    eEffect=GetFirstEffect(oTrap);
    while (GetIsEffectValid(eEffect))
    {
     RemoveEffect(oTrap,eEffect);
     eEffect=GetNextEffect(oTrap);

    }


   object oObject;
   int nIdx;
   for (nIdx=1;nIdx<=4;nIdx++)
     {
      oTrap=GetObjectByTag("jw_silver_light"+IntToString(nIdx));
            eEffect=GetFirstEffect(oTrap);
            while (GetIsEffectValid(eEffect))
           {
              RemoveEffect(oTrap,eEffect);
              eEffect=GetNextEffect(oTrap);
          }
     }

     SoundObjectStop(GetObjectByTag("jw_silver_sound"));

    }
    else if(nUser == 1003) // END OF COMBAT
    {

    }
    else if(nUser == 1004) // ON DIALOGUE
    {

    }
    else if(nUser == 1005) // ATTACKED
    {

    }
    else if(nUser == 1006) // DAMAGED
    {

    }
    else if(nUser == 1007) // DEATH
    {

    }
    else if(nUser == 1008) // DISTURBED
    {

    }

}

