void main()
{
    object oPentagram = GetNearestObjectByTag("NK_FP_PENTAGRAM", OBJECT_SELF, 1);
    object oBrazier = GetNearestObjectByTag("NK_FP_POLYBRAZIER", OBJECT_SELF, 1);
    string sMyVar = GetTag(OBJECT_SELF);
    float fDur = 30.0;
    effect eBurn = EffectVisualEffect(VFX_DUR_SANCTUARY);
    effect eExplode = EffectVisualEffect(VFX_IMP_HEAD_FIRE);

    //ALWAYS
    ApplyEffectToObject(DURATION_TYPE_INSTANT, eExplode, oBrazier);
    ActionPlayAnimation(ANIMATION_PLACEABLE_DEACTIVATE);

    object oTongue = GetItemPossessedBy(oBrazier, "NW_IT_MSMLMISC10");
    if (GetIsObjectValid(oTongue))
    {
        SetLocalInt(oPentagram, sMyVar, 1);
        DelayCommand(fDur, SetLocalInt(oPentagram, sMyVar, 0));
        ApplyEffectToObject(DURATION_TYPE_TEMPORARY, eBurn, oBrazier, fDur);
        SignalEvent(oPentagram, EventUserDefined(1001));
        DestroyObject(oTongue);
        DelayCommand(fDur, ActionPlayAnimation(ANIMATION_PLACEABLE_ACTIVATE));
    }
    else
    {
    ActionPlayAnimation(ANIMATION_PLACEABLE_ACTIVATE);
    }
}
