void MakeFlames(location lLoc)
{
    CreateObject(OBJECT_TYPE_PLACEABLE, "plc_flamesmall", lLoc);
}
void MakeSparks1(location lLoc)
{
    CreateObject(OBJECT_TYPE_PLACEABLE, "plc_magicorange", lLoc);
}
void MakeSparks2(location lLoc)
{
    CreateObject(OBJECT_TYPE_PLACEABLE, "plc_magicred", lLoc);
}
void MakeCircle(location lLoc)
{
    CreateObject(OBJECT_TYPE_PLACEABLE, "x2_plc_scircle", lLoc);
}
void main()
{
    object oArea = GetArea(GetLastOpenedBy());
    effect ePortalgate = EffectVisualEffect(VFX_FNF_SUMMON_GATE);
    effect eFirebeam1 = EffectBeam(VFX_BEAM_FIRE, GetObjectByTag("ty_flamesnd1"), BODY_NODE_CHEST, FALSE);
    effect eFirebeam2 = EffectBeam(VFX_BEAM_FIRE, GetObjectByTag("ty_flamesnd2"), BODY_NODE_CHEST, FALSE);
    effect eFirebeam3 = EffectBeam(VFX_BEAM_FIRE, GetObjectByTag("ty_flamesnd3"), BODY_NODE_CHEST, FALSE);
    effect eFirebeam4 = EffectBeam(VFX_BEAM_FIRE, GetObjectByTag("ty_flamesnd4"), BODY_NODE_CHEST, FALSE);
    effect eFirebeam5 = EffectBeam(VFX_BEAM_FIRE, GetObjectByTag("ty_flamesnd5"), BODY_NODE_CHEST, FALSE);
    effect eFirebeam6 = EffectBeam(VFX_BEAM_FIRE, GetObjectByTag("ty_flamesnd6"), BODY_NODE_CHEST, FALSE);
    effect eFirebeam7 = EffectBeam(VFX_BEAM_FIRE, GetObjectByTag("ty_flamesnd7"), BODY_NODE_CHEST, FALSE);
    effect eFirebeam8 = EffectBeam(VFX_BEAM_FIRE, GetObjectByTag("ty_flamesnd8"), BODY_NODE_CHEST, FALSE);
    effect eFirebeam9 = EffectBeam(VFX_BEAM_FIRE, GetObjectByTag("ty_flamesnd9"), BODY_NODE_CHEST, FALSE);
    location lPortalspot = GetLocation(GetWaypointByTag("ty_wp_portal"));
    location lFlamespot1 = GetLocation(GetWaypointByTag("ty_wp_flame1"));
    location lFlamespot2 = GetLocation(GetWaypointByTag("ty_wp_flame2"));
    location lFlamespot3 = GetLocation(GetWaypointByTag("ty_wp_flame3"));
    location lFlamespot4 = GetLocation(GetWaypointByTag("ty_wp_flame4"));
    location lFlamespot5 = GetLocation(GetWaypointByTag("ty_wp_flame5"));
    location lFlamespot6 = GetLocation(GetWaypointByTag("ty_wp_flame6"));
    location lFlamespot7 = GetLocation(GetWaypointByTag("ty_wp_flame7"));
    location lFlamespot8 = GetLocation(GetWaypointByTag("ty_wp_flame8"));
    location lFlamespot9 = GetLocation(GetWaypointByTag("ty_wp_flame9"));


    MusicBackgroundChangeDay(oArea, TRACK_HOTU_BATTLE_BOSS2);
    MusicBackgroundPlay(oArea);
    ApplyEffectAtLocation(DURATION_TYPE_INSTANT, ePortalgate, lPortalspot);
    CreateObject(OBJECT_TYPE_PLACEABLE, "ty_nysskarulport", lPortalspot, TRUE);
    CreateObject(OBJECT_TYPE_PLACEABLE, "plc_flamelarge", lPortalspot, TRUE);
    CreateObject(OBJECT_TYPE_PLACEABLE, "plc_magicred", lPortalspot, TRUE);
    DelayCommand(0.25, MakeSparks1(lPortalspot));
    DelayCommand(0.5, MakeSparks2(lPortalspot));
    DelayCommand(0.75, MakeSparks1(lPortalspot));
    DelayCommand(3.0, ApplyEffectToObject(DURATION_TYPE_PERMANENT, eFirebeam1, GetObjectByTag("ty_nysskarulportal")));
    DelayCommand(3.0, MakeFlames(lFlamespot1));
    DelayCommand(3.0, AssignCommand(GetObjectByTag("ty_flamesnd1"), PlaySound("as_na_lavaburst2")));
    DelayCommand(3.5, ApplyEffectToObject(DURATION_TYPE_PERMANENT, eFirebeam2, GetObjectByTag("ty_nysskarulportal")));
    DelayCommand(3.5, MakeFlames(lFlamespot2));
    DelayCommand(3.5, AssignCommand(GetObjectByTag("ty_flamesnd2"), PlaySound("as_na_lavaburst2")));
    DelayCommand(4.0, ApplyEffectToObject(DURATION_TYPE_PERMANENT, eFirebeam3, GetObjectByTag("ty_nysskarulportal")));
    DelayCommand(4.0, MakeFlames(lFlamespot3));
    DelayCommand(4.0, AssignCommand(GetObjectByTag("ty_flamesnd3"), PlaySound("as_na_lavaburst2")));
    DelayCommand(4.5, ApplyEffectToObject(DURATION_TYPE_PERMANENT, eFirebeam4, GetObjectByTag("ty_nysskarulportal")));
    DelayCommand(4.5, MakeFlames(lFlamespot4));
    DelayCommand(4.5, AssignCommand(GetObjectByTag("ty_flamesnd4"), PlaySound("as_na_lavaburst2")));
    DelayCommand(5.0, ApplyEffectToObject(DURATION_TYPE_PERMANENT, eFirebeam5, GetObjectByTag("ty_nysskarulportal")));
    DelayCommand(5.0, MakeFlames(lFlamespot5));
    DelayCommand(5.0, AssignCommand(GetObjectByTag("ty_flamesnd5"), PlaySound("as_na_lavaburst2")));
    DelayCommand(5.5, ApplyEffectToObject(DURATION_TYPE_PERMANENT, eFirebeam6, GetObjectByTag("ty_nysskarulportal")));
    DelayCommand(5.5, MakeFlames(lFlamespot6));
    DelayCommand(5.5, AssignCommand(GetObjectByTag("ty_flamesnd6"), PlaySound("as_na_lavaburst2")));
    DelayCommand(6.0, ApplyEffectToObject(DURATION_TYPE_PERMANENT, eFirebeam7, GetObjectByTag("ty_nysskarulportal")));
    DelayCommand(6.0, MakeFlames(lFlamespot7));
    DelayCommand(6.0, AssignCommand(GetObjectByTag("ty_flamesnd7"), PlaySound("as_na_lavaburst2")));
    DelayCommand(6.5, ApplyEffectToObject(DURATION_TYPE_PERMANENT, eFirebeam8, GetObjectByTag("ty_nysskarulportal")));
    DelayCommand(6.5, MakeFlames(lFlamespot8));
    DelayCommand(6.5, AssignCommand(GetObjectByTag("ty_flamesnd8"), PlaySound("as_na_lavaburst2")));
    DelayCommand(7.0, ApplyEffectToObject(DURATION_TYPE_PERMANENT, eFirebeam9, GetObjectByTag("ty_nysskarulportal")));
    DelayCommand(7.0, MakeFlames(lFlamespot9));
    DelayCommand(7.0, AssignCommand(GetObjectByTag("ty_flamesnd9"), PlaySound("as_na_lavaburst2")));
    DelayCommand(7.0, MakeCircle(lPortalspot));
}
