///::///////////////////////////////////////////////
//:: Time Stop
//:: NW_S0_TimeStop.nss
//:: Copyright (c) 2001 Bioware Corp.
//:://////////////////////////////////////////////
/*
    All persons in the Area are frozen in time
    except the caster.
*/
//:://////////////////////////////////////////////
//:: Created By: Preston Watamaniuk
//:: Created On: Jan 7, 2002
//:://////////////////////////////////////////////


#include "NW_I0_SPELLS"
#include "x2_inc_spellhook"

void main()
{

/*
  Spellcast Hook Code
  Added 2003-06-20 by Georg
  If you want to make changes to all spells,
  check x2_inc_spellhook.nss to find out more

*/

    if (!X2PreSpellCastCode())
    {
    // If code within the PreSpellCastHook (i.e. UMD) reports FALSE, do not run this spell
        return;
    }

// End of Spell Cast Hook


  effect eLink = EffectKnockdown();

  //nDuration has no use?
  //int nDuration = 2;
  effect eHowl = EffectMovementSpeedDecrease(100);
  eHowl=EffectLinkEffects(EffectAttackDecrease(100),eHowl);
  eHowl=EffectLinkEffects(EffectSlow(),eHowl);
  eHowl=ExtraordinaryEffect(eHowl);
  effect ePara=EffectParalyze();
  ePara=ExtraordinaryEffect(ePara);
  effect eHold=EffectStunned();
  eHold=ExtraordinaryEffect(eHold);
  effect eDazed=EffectDazed();
  eDazed=ExtraordinaryEffect(eDazed);
    //Get first target in spell area
    object oTarget = GetFirstObjectInShape(SHAPE_SPHERE, 60.0, GetLocation(OBJECT_SELF));
    while(GetIsObjectValid(oTarget))
    {
        if(oTarget != OBJECT_SELF)
        {

           ApplyEffectToObject(DURATION_TYPE_TEMPORARY, EffectCutsceneParalyze(), oTarget, RoundsToSeconds(2));

        }
        //Get next target in spell area
        oTarget = GetNextObjectInShape(SHAPE_SPHERE, 60.0, GetLocation(OBJECT_SELF));
    }


SignalEvent(OBJECT_SELF, EventSpellCastAt(OBJECT_SELF, SPELL_TIME_STOP, FALSE));

ApplyEffectAtLocation(DURATION_TYPE_TEMPORARY,EffectVisualEffect(VFX_FNF_TIME_STOP),GetLocation(OBJECT_SELF),9.8);

}
